返回顶部

收藏

Catch several exceptions

更多
class MyError: pass

def oops():
    raise MyError()

def doomed():
    try:
        oops()
    except IndexError:
        print 'caught an index error!'
    except MyError, data:
        print 'caught error:', MyError, data
    else:
        print 'no error caught...'

if __name__ == '__main__':
    doomed()

标签:Python,基础

收藏

0人收藏

支持

0

反对

0

发表评论